#!/bin/bash

# Criado por João Alfredo Knopik Junior <jakjr@celepar.pr.gov.br>
# Colaborações:
#	"William Fernando Merlotto" <william@prognus.com.br>
#	"Alexandre Felipe Muller de Souza" <amuller@celepar.pr.gov.br>
#
#
#
# Adaptação feita para o Red Hat EL 5 e Centos 5
# Cássio Luiz <cassiolp@cnpq.br>
#
#
#

LC_TELEPHONE=pt_BR.UTF-8
LC_CTYPE=pt_BR.UTF-8
LANGUAGE=pt_BR:pt_PT:pt
LC_MONETARY=pt_BR.UTF-8
LC_ADDRESS=pt_BR.UTF-8
LC_COLLATE=pt_BR.UTF-8
LC_PAPER=pt_BR.UTF-8
LC_NAME=pt_BR.UTF-8
LC_NUMERIC=pt_BR.UTF-8
SYSFONT=lat1-16
LC_MEASUREMENT=pt_BR.UTF-8
LC_TIME=pt_BR.UTF-8
LANG=pt_BR.UTF-8
LC_IDENTIFICATION=pt_BR.UTF-8
LC_MESSAGES=pt_BR.UTF-8

export LC_TELEPHONE LC_CTYPE LANGUAGE LC_MONETARY LC_ADDRESS LC_COLLATE LC_PAPER LC_NAME LC_NUMERIC SYSFONT LC_MEASUREMENT LC_TIME LANG LC_IDENTIFICATION LC_MESSAGES

set -e # Para caso de erro

if [ $UID != 0 ]; then {
	echo "Este script deve ser executado como superusuario, root ou sudo";
	exit 1;
	}
fi

#
# Testa se o Dialog esta instalado
testadialog="`type dialog | awk '{print $1}'`"

if [ "$testadialog" != "dialog" ]; then
     echo "O Dialog nao esta instalado."
     echo ""
     echo ""
     echo "Instalando o Dialog!!!"
	rpm -ivh arqs-conf-rhel5/rpms/dialog-1.0.20051107-1.2.2.i386.rpm
  else
     echo "Dialog instalado!!!"
fi

BACKTITLE='Instalação do ExpressoLivre 1.2'
INTRO='
Bem-Vindo(a) a instalação do ExpressoLivre!

3 (três) perguntas serão feitas a você.
- Escolha uma senha.
- Escolha uma organização.
- Escolha um domínio.

Com estas informações o script poderá
instalar e configurar o ExpressoLivre.
'
#.....................................................................
dialog --backtitle "$BACKTITLE" \
   --cr-wrap \
   --msgbox "$INTRO" \
   17 55 &&
#.....................................................................
LDAP_PWD=$( dialog --stdout --inputbox 'Digite uma senha:' 0 0 )
#.....................................................................
ORG=$( dialog --stdout --inputbox 'Digite uma organização:(ex.: celepar)' 0 55 )
#.....................................................................
DOMAIN=$( dialog --stdout --inputbox 'Digite seu domínio:(ex.: '$ORG'.com.br)' 0 55 )

#.....................................................................
dialog --backtitle "$BACKTITLE" --cr-wrap --msgbox \
"Relação dos pacotes necessários para o ExpressoLivre funcionar." 10 65 &&
#.....................................................................	    

dialog                                          \
   --title 'RPMS'             		\
   --textbox arqs-conf-rhel5/rpms/listarpms.txt \
   0 0

dialog --yesno 'Deseja verificar se os pacotes necessários estão instalados?' 7 70

if [ $? = 0 ]; then

dialog                                         				\
   --title 'Aguarde'                           				\
   --infobox '\nVerificando a instalação dos pacotes necessários...'  	\
   0 0

checa_httpd=`rpm -qa --qf '%{name}\n' | grep "httpd" | grep -v manual | grep -v config`

if [ "$checa_httpd" != "httpd" ] ; then
	dialog                                          \
        --title 'Falta instalar pacote'                 \
        --msgbox 'O pacote httpd não foi instalado!!!'  \
        6 40
	exit 0
fi

checa_postgresql=`rpm -qa --qf '%{name}\n' | grep postgresql | grep -v postgresql-`

if [ "$checa_postgresql" != "postgresql" ] ; then
	dialog                                          \
        --title 'Falta instalar pacote'                 \
        --msgbox 'O pacote postgresql não foi instalado!!!'  \
        6 40
	exit 0
fi

checa_postgresql_server=`rpm -qa --qf '%{name}\n' | grep postgresql-server`

if [ "$checa_postgresql_server" != "postgresql-server" ] ; then
	dialog                                          \
        --title 'Falta instalar pacote'                 \
        --msgbox 'O pacote postgresql-server não foi instalado!!!'  \
        6 40
	exit 0
fi

checa_openldap=`rpm -qa --qf '%{name}\n' | grep openldap | grep -v openldap-`

if [ "$checa_openldap" != "openldap" ] ; then
	dialog                                          \
        --title 'Falta instalar pacote'                 \
        --msgbox 'O pacote openldap não foi instalado!!!'  \
        6 40
	exit 0
fi

checa_openldap_clients=`rpm -qa --qf '%{name}\n' | grep openldap-clients`

if [ "$checa_openldap_clients" != "openldap-clients" ] ; then
	dialog                                          \
        --title 'Falta instalar pacote'                 \
        --msgbox 'O pacote openldap-clients não foi instalado!!!'  \
        6 40
	exit 0
fi

checa_libtool_ltdl=`rpm -qa --qf '%{name}\n' | grep libtool-ltdl`

if [ "$checa_libtool_ltdl" != "libtool-ltdl" ] ; then
	dialog                                          \
        --title 'Falta instalar pacote'                 \
        --msgbox 'O pacote libtool-ltdl não foi instalado!!!'  \
        6 40
	exit 0
fi

checa_openldap_servers=`rpm -qa --qf '%{name}\n' | grep openldap-servers | grep -v openldap-servers-`

if [ "$checa_openldap_servers" != "openldap-servers" ] ; then
	dialog                                          \
        --title 'Falta instalar pacote'                 \
        --msgbox 'O pacote openldap-servers não foi instalado!!!'  \
        6 40
	exit 0
fi

checa_cyrus_imapd=`rpm -qa --qf '%{name}\n' | grep cyrus-imapd | grep -v cyrus-imapd-`

if [ "$checa_cyrus_imapd" != "cyrus-imapd" ] ; then
	dialog                                          \
        --title 'Falta instalar pacote'                 \
        --msgbox 'O pacote cyrus-imapd não foi instalado!!!'  \
        6 40
	exit 0
fi

checa_cyrus_imapd_perl=`rpm -qa --qf '%{name}\n' | grep cyrus-imapd-perl`

if [ "$checa_cyrus_imapd_perl" != "cyrus-imapd-perl" ] ; then
	dialog                                          \
        --title 'Falta instalar pacote'                 \
        --msgbox 'O pacote cyrus-imapd-perl não foi instalado!!!'  \
        6 40
	exit 0
fi

checa_cyrus_imapd_utils=`rpm -qa --qf '%{name}\n' | grep cyrus-imapd-utils`

if [ "$checa_cyrus_imapd_utils" != "cyrus-imapd-utils" ] ; then
	dialog                                          \
        --title 'Falta instalar pacote'                 \
        --msgbox 'O pacote cyrus-imapd-utils não foi instalado!!!'  \
        6 40
	exit 0
fi

checa_cyrus_sasl=`rpm -qa --qf '%{name}\n' | grep cyrus-sasl | grep -v cyrus-sasl-`

if [ "$checa_cyrus_sasl" != "cyrus-sasl" ] ; then
	dialog                                          \
        --title 'Falta instalar pacote'                 \
        --msgbox 'O pacote cyrus-sasl não foi instalado!!!'  \
        6 40
	exit 0
fi

checa_cyrus_sasl_ldap=`rpm -qa --qf '%{name}\n' | grep cyrus-sasl-ldap`

if [ "$checa_cyrus_sasl_ldap" != "cyrus-sasl-ldap" ] ; then
	dialog                                          \
        --title 'Falta instalar pacote'                 \
        --msgbox 'O pacote cyrus-sasl-ldap não foi instalado!!!'  \
        6 40
	exit 0
fi

checa_cyrus_sasl_md5=`rpm -qa --qf '%{name}\n' | grep cyrus-sasl-md5`

if [ "$checa_cyrus_sasl_md5" != "cyrus-sasl-md5" ] ; then
	dialog                                          \
        --title 'Falta instalar pacote'                 \
        --msgbox 'O pacote cyrus-sasl-md5 não foi instalado!!!'  \
        6 40
	exit 0
fi

checa_cyrus_sasl_plain=`rpm -qa --qf '%{name}\n' | grep cyrus-sasl-plain`

if [ "$checa_cyrus_sasl_plain" != "cyrus-sasl-plain" ] ; then
	dialog                                          \
        --title 'Falta instalar pacote'                 \
        --msgbox 'O pacote cyrus-sasl-plain não foi instalado!!!'  \
        6 40
	exit 0
fi

checa_postfix=`rpm -qa --qf '%{name}\n' | grep postfix`

if [ "$checa_postfix" != "postfix" ] ; then
	dialog                                          \
        --title 'Falta instalar pacote'                 \
        --msgbox 'O pacote postfix não foi instalado!!!'  \
        6 40
	exit 0
fi

checa_unzip=`rpm -qa --qf '%{name}\n' | grep unzip`

if [ "$checa_unzip" != "unzip" ] ; then
	dialog                                          \
        --title 'Falta instalar pacote'                 \
        --msgbox 'O pacote unzip não foi instalado!!!'  \
        6 40
	exit 0
fi

checa_zip=`rpm -qa --qf '%{name}\n' | grep zip | grep -v bzip2 | grep -v gzip | grep -v unzip`

if [ "$checa_zip" != "zip" ] ; then
	dialog                                          \
        --title 'Falta instalar pacote'                 \
        --msgbox 'O pacote zip não foi instalado!!!'  \
        6 40
	exit 0
fi

checa_mod_perl=`rpm -qa --qf '%{name}\n' | grep mod_perl`

if [ "$checa_mod_perl" != "mod_perl" ] ; then
	dialog                                          \
        --title 'Falta instalar pacote'                 \
        --msgbox 'O pacote mod_perl não foi instalado!!!'  \
        6 40
	exit 0
fi

checa_mod_ssl=`rpm -qa --qf '%{name}\n' | grep mod_ssl`

if [ "$checa_mod_ssl" != "mod_ssl" ] ; then
	dialog                                          \
        --title 'Falta instalar pacote'                 \
        --msgbox 'O pacote mod_ssl não foi instalado!!!'  \
        6 40
	exit 0
fi

checa_mod_python=`rpm -qa --qf '%{name}\n' | grep mod_python`

if [ "$checa_mod_python" != "mod_python" ] ; then
	dialog                                          \
        --title 'Falta instalar pacote'                 \
        --msgbox 'O pacote mod_python não foi instalado!!!'  \
        6 40
	exit 0
fi

checa_mod_auth_pgsql=`rpm -qa --qf '%{name}\n' | grep mod_auth_pgsql`

if [ "$checa_mod_auth_pgsql" != "mod_auth_pgsql" ] ; then
	dialog                                          \
        --title 'Falta instalar pacote'                 \
        --msgbox 'O pacote mod_auth_pgsql não foi instalado!!!'  \
        6 40
	exit 0
fi

checa_mod_nss=`rpm -qa --qf '%{name}\n' | grep mod_nss`

if [ "$checa_mod_nss" != "mod_nss" ] ; then
	dialog                                          \
        --title 'Falta instalar pacote'                 \
        --msgbox 'O pacote mod_nss não foi instalado!!!'  \
        6 40
	exit 0
fi

checa_mod_authz_ldap=`rpm -qa --qf '%{name}\n' | grep mod_authz_ldap`

if [ "$checa_mod_authz_ldap" != "mod_authz_ldap" ] ; then
	dialog                                          \
        --title 'Falta instalar pacote'                 \
        --msgbox 'O pacote mod_authz_ldap não foi instalado!!!'  \
        6 40
	exit 0
fi

checa_libc_client=`rpm -qa --qf '%{name}\n' | grep libc-client`

if [ "$checa_libc_client" != "libc-client" ] ; then
	dialog                                          \
        --title 'Falta instalar pacote'                 \
        --msgbox 'O pacote libc-client não foi instalado!!!'  \
        6 40
	exit 0
fi

checa_mysql=`rpm -qa --qf '%{name}\n' | grep mysql | grep -v mysql- | grep -v php-mysql | grep -v libdbi-dbd-mysql`

if [ "$checa_mysql" != "mysql" ] ; then
	dialog                                          \
        --title 'Falta instalar pacote'                 \
        --msgbox 'O pacote mysql não foi instalado!!!'  \
        6 40
	exit 0
fi

checa_net_snmp=`rpm -qa --qf '%{name}\n' | grep net-snmp | grep -v net-snmp-`

if [ "$checa_net_snmp" != "net-snmp" ] ; then
	dialog                                          \
        --title 'Falta instalar pacote'                 \
        --msgbox 'O pacote net-snmp não foi instalado!!!'  \
        6 40
	exit 0
fi

checa_php=`rpm -qa --qf '%{name}\n' | grep php | grep -v php-`

if [ "$checa_php" != "php" ] ; then
	dialog                                          \
        --title 'Falta instalar pacote'                 \
        --msgbox 'O pacote php não foi instalado!!!'  \
        6 40
	exit 0
fi

checa_php_bcmath=`rpm -qa --qf '%{name}\n' | grep php-bcmath`

if [ "$checa_php_bcmath" != "php-bcmath" ] ; then
	dialog                                          \
        --title 'Falta instalar pacote'                 \
        --msgbox 'O pacote php-bcmath não foi instalado!!!'  \
        6 40
	exit 0
fi

checa_php_cli=`rpm -qa --qf '%{name}\n' | grep php-cli`

if [ "$checa_php_cli" != "php-cli" ] ; then
	dialog                                          \
        --title 'Falta instalar pacote'                 \
        --msgbox 'O pacote php-cli não foi instalado!!!'  \
        6 40
	exit 0
fi

checa_php_common=`rpm -qa --qf '%{name}\n' | grep php-common`

if [ "$checa_php_common" != "php-common" ] ; then
	dialog                                          \
        --title 'Falta instalar pacote'                 \
        --msgbox 'O pacote php-common não foi instalado!!!'  \
        6 40
	exit 0
fi

checa_php_dba=`rpm -qa --qf '%{name}\n' | grep php-dba`

if [ "$checa_php_dba" != "php-dba" ] ; then
	dialog                                          \
        --title 'Falta instalar pacote'                 \
        --msgbox 'O pacote php-dba não foi instalado!!!'  \
        6 40
	exit 0
fi

checa_php_gd=`rpm -qa --qf '%{name}\n' | grep php-gd`

if [ "$checa_php_gd" != "php-gd" ] ; then
	dialog                                          \
        --title 'Falta instalar pacote'                 \
        --msgbox 'O pacote php-gd não foi instalado!!!'  \
        6 40
	exit 0
fi

checa_php_imap=`rpm -qa --qf '%{name}\n' | grep php-imap`

if [ "$checa_php_imap" != "php-imap" ] ; then
	dialog                                          \
        --title 'Falta instalar pacote'                 \
        --msgbox 'O pacote php-imap não foi instalado!!!'  \
        6 40
	exit 0
fi

checa_php_ldap=`rpm -qa --qf '%{name}\n' | grep php-ldap`

if [ "$checa_php_ldap" != "php-ldap" ] ; then
	dialog                                          \
        --title 'Falta instalar pacote'                 \
        --msgbox 'O pacote php-ldap não foi instalado!!!'  \
        6 40
	exit 0
fi

checa_php_mysql=`rpm -qa --qf '%{name}\n' | grep php-mysql`

if [ "$checa_php_mysql" != "php-mysql" ] ; then
	dialog                                          \
        --title 'Falta instalar pacote'                 \
        --msgbox 'O pacote php-mysql não foi instalado!!!'  \
        6 40
	exit 0
fi

checa_php_mbstring=`rpm -qa --qf '%{name}\n' | grep php-mbstring`

if [ "$checa_php_mbstring" != "php-mbstring" ] ; then
	dialog                                          \
        --title 'Falta instalar pacote'                 \
        --msgbox 'O pacote php-mbstring não foi instalado!!!'  \
        6 40
	exit 0
fi

checa_php_ncurses=`rpm -qa --qf '%{name}\n' | grep php-ncurses`

if [ "$checa_php_ncurses" != "php-ncurses" ] ; then
	dialog                                          \
        --title 'Falta instalar pacote'                 \
        --msgbox 'O pacote php-ncurses não foi instalado!!!'  \
        6 40
	exit 0
fi

checa_php_odbc=`rpm -qa --qf '%{name}\n' | grep php-odbc`

if [ "$checa_php_odbc" != "php-odbc" ] ; then
	dialog                                          \
        --title 'Falta instalar pacote'                 \
        --msgbox 'O pacote php-odbc não foi instalado!!!'  \
        6 40
	exit 0
fi

checa_php_pdo=`rpm -qa --qf '%{name}\n' | grep php-pdo`

if [ "$checa_php_pdo" != "php-pdo" ] ; then
	dialog                                          \
        --title 'Falta instalar pacote'                 \
        --msgbox 'O pacote php-pdo não foi instalado!!!'  \
        6 40
	exit 0
fi

checa_php_pear=`rpm -qa --qf '%{name}\n' | grep php-pear`

if [ "$checa_php_pear" != "php-pear" ] ; then
	dialog                                          \
        --title 'Falta instalar pacote'                 \
        --msgbox 'O pacote php-pear não foi instalado!!!'  \
        6 40
	exit 0
fi

checa_php_pgsql=`rpm -qa --qf '%{name}\n' | grep php-pgsql`

if [ "$checa_php_pgsql" != "php-pgsql" ] ; then
	dialog                                          \
        --title 'Falta instalar pacote'                 \
        --msgbox 'O pacote php-pgsql não foi instalado!!!'  \
        6 40
	exit 0
fi

checa_php_snmp=`rpm -qa --qf '%{name}\n' | grep php-snmp`

if [ "$checa_php_snmp" != "php-snmp" ] ; then
	dialog                                          \
        --title 'Falta instalar pacote'                 \
        --msgbox 'O pacote php-snmp não foi instalado!!!'  \
        6 40
	exit 0
fi

checa_php_soap=`rpm -qa --qf '%{name}\n' | grep php-soap`

if [ "$checa_php_soap" != "php-soap" ] ; then
	dialog                                          \
        --title 'Falta instalar pacote'                 \
        --msgbox 'O pacote php-soap não foi instalado!!!'  \
        6 40
	exit 0
fi

checa_php_xml=`rpm -qa --qf '%{name}\n' | grep php-xml | grep -v php-xmlrpc`

if [ "$checa_php_xml" != "php-xml" ] ; then
	dialog                                          \
        --title 'Falta instalar pacote'                 \
        --msgbox 'O pacote php-xml não foi instalado!!!'  \
        6 40
	exit 0
fi

checa_php_xmlrpc=`rpm -qa --qf '%{name}\n' | grep php-xmlrpc`

if [ "$checa_php_xmlrpc" != "php-xmlrpc" ] ; then
	dialog                                          \
        --title 'Falta instalar pacote'                 \
        --msgbox 'O pacote php-xmlrpc não foi instalado!!!'  \
        6 40
	exit 0
fi

checa_perl=`rpm -qa --qf '%{name}\n' | grep perl | grep -v perl- | grep -v mod_perl | grep -v cyrus-imapd-perl`

if [ "$checa_perl" != "perl" ] ; then
	dialog                                          \
        --title 'Falta instalar pacote'                 \
        --msgbox 'O pacote perl não foi instalado!!!'  \
        6 40
	exit 0
fi

checa_perl_Compress_Zlib=`rpm -qa --qf '%{name}\n' | grep perl-Compress-Zlib`

if [ "$checa_perl_Compress_Zlib" != "perl-Compress-Zlib" ] ; then
	dialog                                          \
        --title 'Falta instalar pacote'                 \
        --msgbox 'O pacote perl-Compress-Zlib não foi instalado!!!'  \
        6 40
	exit 0
fi

checa_perl_IO_Zlib=`rpm -qa --qf '%{name}\n' | grep perl-IO-Zlib`

if [ "$checa_perl_IO_Zlib" != "perl-IO-Zlib" ] ; then
	dialog                                          \
        --title 'Falta instalar pacote'                 \
        --msgbox 'O pacote perl-IO-Zlib não foi instalado!!!'  \
        6 40
	exit 0
fi

checa_perl_Archive_Tar=`rpm -qa --qf '%{name}\n' | grep perl-Archive-Tar`

if [ "$checa_perl_Archive_Tar" != "perl-Archive-Tar" ] ; then
	dialog                                          \
        --title 'Falta instalar pacote'                 \
        --msgbox 'O pacote perl-Archive-Tar não foi instalado!!!'  \
        6 40
	exit 0
fi

checa_perl_Carp_Clan=`rpm -qa --qf '%{name}\n' | grep perl-Carp-Clan`

if [ "$checa_perl_Carp_Clan" != "perl-Carp-Clan" ] ; then
	dialog                                          \
        --title 'Falta instalar pacote'                 \
        --msgbox 'O pacote perl-Carp-Clan não foi instalado!!!'  \
        6 40
	exit 0
fi

checa_perl_Bit_Vector=`rpm -qa --qf '%{name}\n' | grep perl-Bit-Vector`

if [ "$checa_perl_Bit_Vector" != "perl-Bit-Vector" ] ; then
	dialog                                          \
        --title 'Falta instalar pacote'                 \
        --msgbox 'O pacote perl-Bit-Vector não foi instalado!!!'  \
        6 40
	exit 0
fi

checa_perl_BSD_Resource=`rpm -qa --qf '%{name}\n' | grep perl-BSD-Resource`

if [ "$checa_perl_BSD_Resource" != "perl-BSD-Resource" ] ; then
	dialog                                          \
        --title 'Falta instalar pacote'                 \
        --msgbox 'O pacote perl-BSD-Resource não foi instalado!!!'  \
        6 40
	exit 0
fi

checa_perl_Convert_ASN1=`rpm -qa --qf '%{name}\n' | grep perl-Convert-ASN1`

if [ "$checa_perl_Convert_ASN1" != "perl-Convert-ASN1" ] ; then
	dialog                                          \
        --title 'Falta instalar pacote'                 \
        --msgbox 'O pacote perl-Convert-ASN1 não foi instalado!!!'  \
        6 40
	exit 0
fi

checa_perl_Crypt_SSLeay=`rpm -qa --qf '%{name}\n' | grep perl-Crypt-SSLeay`

if [ "$checa_perl_Crypt_SSLeay" != "perl-Crypt-SSLeay" ] ; then
	dialog                                          \
        --title 'Falta instalar pacote'                 \
        --msgbox 'O pacote perl-Crypt-SSLeay não foi instalado!!!'  \
        6 40
	exit 0
fi

checa_perl_Date_Calc=`rpm -qa --qf '%{name}\n' | grep perl-Date-Calc`

if [ "$checa_perl_Date_Calc" != "perl-Date-Calc" ] ; then
	dialog                                          \
        --title 'Falta instalar pacote'                 \
        --msgbox 'O pacote perl-Date-Calc não foi instalado!!!'  \
        6 40
	exit 0
fi

checa_perl_DBD_Pg=`rpm -qa --qf '%{name}\n' | grep perl-DBD-Pg`

if [ "$checa_perl_DBD_Pg" != "perl-DBD-Pg" ] ; then
	dialog                                          \
        --title 'Falta instalar pacote'                 \
        --msgbox 'O pacote perl-DBD-Pg não foi instalado!!!'  \
        6 40
	exit 0
fi

checa_perl_DBI=`rpm -qa --qf '%{name}\n' | grep perl-DBI`

if [ "$checa_perl_DBI" != "perl-DBI" ] ; then
	dialog                                          \
        --title 'Falta instalar pacote'                 \
        --msgbox 'O pacote perl-DBI não foi instalado!!!'  \
        6 40
	exit 0
fi

checa_perl_String_CRC32=`rpm -qa --qf '%{name}\n' | grep perl-String-CRC32`

if [ "$checa_perl_String_CRC32" != "perl-String-CRC32" ] ; then
	dialog                                          \
        --title 'Falta instalar pacote'                 \
        --msgbox 'O pacote perl-String-CRC32 não foi instalado!!!'  \
        6 40
	exit 0
fi

checa_perl_DBD_MySQL=`rpm -qa --qf '%{name}\n' | grep perl-DBD-MySQL`

if [ "$checa_perl_DBD_MySQL" != "perl-DBD-MySQL" ] ; then
	dialog                                          \
        --title 'Falta instalar pacote'                 \
        --msgbox 'O pacote perl-DBD-MySQL não foi instalado!!!'  \
        6 40
	exit 0
fi

checa_perl_Digest_SHA1=`rpm -qa --qf '%{name}\n' | grep perl-Digest-SHA1`

if [ "$checa_perl_Digest_SHA1" != "perl-Digest-SHA1" ] ; then
	dialog                                          \
        --title 'Falta instalar pacote'                 \
        --msgbox 'O pacote perl-Digest-SHA1 não foi instalado!!!'  \
        6 40
	exit 0
fi

checa_perl_Digest_HMAC=`rpm -qa --qf '%{name}\n' | grep perl-Digest-HMAC`

if [ "$checa_perl_Digest_HMAC" != "perl-Digest-HMAC" ] ; then
	dialog                                          \
        --title 'Falta instalar pacote'                 \
        --msgbox 'O pacote perl-Digest-HMAC não foi instalado!!!'  \
        6 40
	exit 0
fi

checa_perl_HTML_Tagset=`rpm -qa --qf '%{name}\n' | grep perl-HTML-Tagset`

if [ "$checa_perl_HTML_Tagset" != "perl-HTML-Tagset" ] ; then
	dialog                                          \
        --title 'Falta instalar pacote'                 \
        --msgbox 'O pacote perl-HTML-Tagset não foi instalado!!!'  \
        6 40
	exit 0
fi

checa_perl_HTML_Parser=`rpm -qa --qf '%{name}\n' | grep perl-HTML-Parser`

if [ "$checa_perl_HTML_Parser" != "perl-HTML-Parser" ] ; then
	dialog                                          \
        --title 'Falta instalar pacote'                 \
        --msgbox 'O pacote perl-HTML-Parser não foi instalado!!!'  \
        6 40
	exit 0
fi

checa_perl_Socket6=`rpm -qa --qf '%{name}\n' | grep perl-Socket6`

if [ "$checa_perl_Socket6" != "perl-Socket6" ] ; then
	dialog                                          \
        --title 'Falta instalar pacote'                 \
        --msgbox 'O pacote perl-Socket6 não foi instalado!!!'  \
        6 40
	exit 0
fi

checa_perl_IO_Socket_INET6=`rpm -qa --qf '%{name}\n' | grep perl-IO-Socket-INET6`

if [ "$checa_perl_IO_Socket_INET6" != "perl-IO-Socket-INET6" ] ; then
	dialog                                          \
        --title 'Falta instalar pacote'                 \
        --msgbox 'O pacote perl-IO-Socket-INET6 não foi instalado!!!'  \
        6 40
	exit 0
fi

checa_perl_Net_SSLeay=`rpm -qa --qf '%{name}\n' | grep perl-Net-SSLeay`

if [ "$checa_perl_Net_SSLeay" != "perl-Net-SSLeay" ] ; then
	dialog                                          \
        --title 'Falta instalar pacote'                 \
        --msgbox 'O pacote perl-Net-SSLeay não foi instalado!!!'  \
        6 40
	exit 0
fi

checa_perl_IO_Socket_SSL=`rpm -qa --qf '%{name}\n' | grep perl-IO-Socket-SSL`

if [ "$checa_perl_IO_Socket_SSL" != "perl-IO-Socket-SSL" ] ; then
	dialog                                          \
        --title 'Falta instalar pacote'                 \
        --msgbox 'O pacote perl-IO-Socket-SSL não foi instalado!!!'  \
        6 40
	exit 0
fi

checa_perl_IO_String=`rpm -qa --qf '%{name}\n' | grep perl-IO-String`

if [ "$checa_perl_IO_String" != "perl-IO-String" ] ; then
	dialog                                          \
        --title 'Falta instalar pacote'                 \
        --msgbox 'O pacote perl-IO-String não foi instalado!!!'  \
        6 40
	exit 0
fi

checa_perl_XML_NamespaceSupport=`rpm -qa --qf '%{name}\n' | grep perl-XML-NamespaceSupport`

if [ "$checa_perl_XML_NamespaceSupport" != "perl-XML-NamespaceSupport" ] ; then
	dialog                                          \
        --title 'Falta instalar pacote'                 \
        --msgbox 'O pacote perl-XML-NamespaceSupport não foi instalado!!!'  \
        6 40
	exit 0
fi

checa_perl_XML_SAX=`rpm -qa --qf '%{name}\n' | grep perl-XML-SAX`

if [ "$checa_perl_XML_SAX" != "perl-XML-SAX" ] ; then
	dialog                                          \
        --title 'Falta instalar pacote'                 \
        --msgbox 'O pacote perl-XML-SAX não foi instalado!!!'  \
        6 40
	exit 0
fi

checa_perl_URI=`rpm -qa --qf '%{name}\n' | grep perl-URI`

if [ "$checa_perl_URI" != "perl-URI" ] ; then
	dialog                                          \
        --title 'Falta instalar pacote'                 \
        --msgbox 'O pacote perl-URI não foi instalado!!!'  \
        6 40
	exit 0
fi

checa_perl_libwww_perl=`rpm -qa --qf '%{name}\n' | grep perl-libwww-perl`

if [ "$checa_perl_libwww_perl" != "perl-libwww-perl" ] ; then
	dialog                                          \
        --title 'Falta instalar pacote'                 \
        --msgbox 'O pacote perl-libwww-perl não foi instalado!!!'  \
        6 40
	exit 0
fi

checa_perl_XML_Parser=`rpm -qa --qf '%{name}\n' | grep perl-XML-Parser`

if [ "$checa_perl_XML_Parser" != "perl-XML-Parser" ] ; then
	dialog                                          \
        --title 'Falta instalar pacote'                 \
        --msgbox 'O pacote perl-XML-Parser não foi instalado!!!'  \
        6 40
	exit 0
fi

checa_perl_LDAP=`rpm -qa --qf '%{name}\n' | grep perl-LDAP`

if [ "$checa_perl_LDAP" != "perl-LDAP" ] ; then
	dialog                                          \
        --title 'Falta instalar pacote'                 \
        --msgbox 'O pacote perl-LDAP não foi instalado!!!'  \
        6 40
	exit 0
fi

checa_perl_libxml_perl=`rpm -qa --qf '%{name}\n' | grep perl-libxml-perl`

if [ "$checa_perl_libxml_perl" != "perl-libxml-perl" ] ; then
	dialog                                          \
        --title 'Falta instalar pacote'                 \
        --msgbox 'O pacote perl-libxml-perl não foi instalado!!!'  \
        6 40
	exit 0
fi

checa_perl_Net_IP=`rpm -qa --qf '%{name}\n' | grep perl-Net-IP`

if [ "$checa_perl_Net_IP" != "perl-Net-IP" ] ; then
	dialog                                          \
        --title 'Falta instalar pacote'                 \
        --msgbox 'O pacote perl-Net-IP não foi instalado!!!'  \
        6 40
	exit 0
fi

checa_perl_Net_DNS=`rpm -qa --qf '%{name}\n' | grep perl-Net-DNS`

if [ "$checa_perl_Net_DNS" != "perl-Net-DNS" ] ; then
	dialog                                          \
        --title 'Falta instalar pacote'                 \
        --msgbox 'O pacote perl-Net-DNS não foi instalado!!!'  \
        6 40
	exit 0
fi

checa_perl_Net_Telnet=`rpm -qa --qf '%{name}\n' | grep perl-Net-Telnet`

if [ "$checa_perl_Net_Telnet" != "perl-Net-Telnet" ] ; then
	dialog                                          \
        --title 'Falta instalar pacote'                 \
        --msgbox 'O pacote perl-Net-Telnet não foi instalado!!!'  \
        6 40
	exit 0
fi

checa_perl_NKF=`rpm -qa --qf '%{name}\n' | grep perl-NKF`

if [ "$checa_perl_NKF" != "perl-NKF" ] ; then
	dialog                                          \
        --title 'Falta instalar pacote'                 \
        --msgbox 'O pacote perl-NKF não foi instalado!!!'  \
        6 40
	exit 0
fi

checa_perl_SGMLSpm=`rpm -qa --qf '%{name}\n' | grep perl-SGMLSpm`

if [ "$checa_perl_SGMLSpm" != "perl-SGMLSpm" ] ; then
	dialog                                          \
        --title 'Falta instalar pacote'                 \
        --msgbox 'O pacote perl-SGMLSpm não foi instalado!!!'  \
        6 40
	exit 0
fi

checa_perl_suidperl=`rpm -qa --qf '%{name}\n' | grep perl-suidperl`

if [ "$checa_perl_suidperl" != "perl-suidperl" ] ; then
	dialog                                          \
        --title 'Falta instalar pacote'                 \
        --msgbox 'O pacote perl-suidperl não foi instalado!!!'  \
        6 40
	exit 0
fi

checa_perl_XML_Dumper=`rpm -qa --qf '%{name}\n' | grep perl-XML-Dumper`

if [ "$checa_perl_XML_Dumper" != "perl-XML-Dumper" ] ; then
	dialog                                          \
        --title 'Falta instalar pacote'                 \
        --msgbox 'O pacote perl-XML-Dumper não foi instalado!!!'  \
        6 40
	exit 0
fi

checa_perl_XML_Grove=`rpm -qa --qf '%{name}\n' | grep perl-XML-Grove`

if [ "$checa_perl_XML_Grove" != "perl-XML-Grove" ] ; then
	dialog                                          \
        --title 'Falta instalar pacote'                 \
        --msgbox 'O pacote perl-XML-Grove não foi instalado!!!'  \
        6 40
	exit 0
fi

checa_perl_XML_LibXML_Common=`rpm -qa --qf '%{name}\n' | grep perl-XML-LibXML-Common`

if [ "$checa_perl_XML_LibXML_Common" != "perl-XML-LibXML-Common" ] ; then
	dialog                                          \
        --title 'Falta instalar pacote'                 \
        --msgbox 'O pacote perl-XML-LibXML-Common não foi instalado!!!'  \
        6 40
	exit 0
fi

checa_perl_XML_LibXML=`rpm -qa --qf '%{name}\n' | grep perl-XML-LibXML | grep -v perl-XML-LibXML-`

if [ "$checa_perl_XML_LibXML" != "perl-XML-LibXML" ] ; then
	dialog                                          \
        --title 'Falta instalar pacote'                 \
        --msgbox 'O pacote perl-XML-LibXML não foi instalado!!!'  \
        6 40
	exit 0
fi

checa_perl_XML_Simple=`rpm -qa --qf '%{name}\n' | grep perl-XML-Simple`

if [ "$checa_perl_XML_Simple" != "perl-XML-Simple" ] ; then
	dialog                                          \
        --title 'Falta instalar pacote'                 \
        --msgbox 'O pacote perl-XML-Simple não foi instalado!!!'  \
        6 40
	exit 0
fi

checa_perl_XML_Twig=`rpm -qa --qf '%{name}\n' | grep perl-XML-Twig`

if [ "$checa_perl_XML_Twig" != "perl-XML-Twig" ] ; then
	dialog                                          \
        --title 'Falta instalar pacote'                 \
        --msgbox 'O pacote perl-XML-Twig não foi instalado!!!'  \
        6 40
	exit 0
fi


else

	dialog                                            \
   	--title 'Aviso'                             \
   	--msgbox 'Ok, a verificação de pacotes necessários não será feita, isso poderá fazer como que o Expresso Livre não funcione!!!'  \
   	10 40

fi

############################################################################################
# GET VARs
LDAP_DN=`php ./arqs-conf-rhel5/makedn.php $DOMAIN`
LDAP_DC=`php ./arqs-conf-rhel5/makedc.php $DOMAIN`
LDAP_PWD_MD5=`slappasswd -v -s $LDAP_PWD -h {MD5}`
LDAP_PWD_MD5=`php ./arqs-conf-rhel5/regexp.php $LDAP_PWD_MD5`
HEADER_PWD=`php ./arqs-conf-rhel5/pass.php $LDAP_PWD`
############################################################################################

service sendmail stop

chkconfig --del sendmail

alias cp="cp"

# POSTGRES
service postgresql stop
service postgresql start
sleep 3
service postgresql stop

cp -f ./arqs-conf-rhel5/var/lib/pgsql/data/postgresql.conf /var/lib/pgsql/data/
cp -f ./arqs-conf-rhel5/var/lib/pgsql/data/pg_hba.conf /var/lib/pgsql/data/

service postgresql start

su - postgres -c 'dropdb expresso'  || { echo "Banco expresso não existia. [OK]"; }
su - postgres -c 'createdb -E LATIN1 expresso'  || { echo "Problemas na criação do banco expresso. [Falhou]"; exit 1;}

sed -e "s/LDAP_DN/$LDAP_DN/g" -e "s/LDAP_PWD/$LDAP_PWD/g" -e "s/ORG/$ORG/g" -e "s/DOMAIN/$DOMAIN/g" ./arqs-conf-rhel5/expresso.dump > /tmp/expresso.dump

service postgresql start

su - postgres -c 'psql -f /tmp/expresso.dump expresso'

rm /tmp/expresso.dump

############################################################################################
# APACHE

cp -r -p ../../../expresso/ /var/www/
cp ./arqs-conf-rhel5/etc/httpd/conf/httpd.conf /etc/httpd/conf/
cp ./arqs-conf-rhel5/etc/httpd/conf.d/expresso.conf /etc/httpd/conf.d/

chown -R apache.apache /var/www/expresso

cp ./arqs-conf-rhel5/etc/php.ini /etc/

mkdir /php_sessions/ || { echo "Diretório já existe. [OK]"; }

chmod -R 777 /php_sessions/

service httpd restart

############################################################################################

# OPENLDAP
service ldap stop

sed -e "s/LDAP_DN/$LDAP_DN/g" -e "s/LDAP_PWD_MD5/$LDAP_PWD_MD5/g" ./arqs-conf-rhel5/etc/openldap/slapd.conf > /etc/openldap/slapd.conf

cp ./arqs-conf-rhel5/etc/openldap/schema/* /etc/openldap/schema/

rm -rf /var/lib/ldap/*

cp ./arqs-conf-rhel5/etc/openldap/DB_CONFIG /var/lib/ldap/

chown -R ldap.ldap /var/lib/ldap/

sleep 2
sed -e "s/LDAP_DN/$LDAP_DN/g" -e "s/LDAP_PWD_MD5/$LDAP_PWD_MD5/g" -e "s/ORG/$ORG/g" -e "s/DOMAIN/$DOMAIN/g" -e "s/LDAP_DC/$LDAP_DC/g" ./arqs-conf-rhel5/expresso.ldif > /tmp/expresso.ldif

sleep 2
slapadd -v -l /tmp/expresso.ldif

chown -R ldap.ldap /var/lib/ldap/

sleep 2
service ldap start

rm /tmp/expresso.ldif
############################################################################################

# CYRUS
cp ./arqs-conf-rhel5/etc/imapd.conf /etc/
cp ./arqs-conf-rhel5/etc/cyrus.conf /etc/

sed -e "s/LDAP_DN/$LDAP_DN/g" ./arqs-conf-rhel5/etc/saslauthd.conf > /etc/saslauthd.conf

cp ./arqs-conf-rhel5/etc/sysconfig/saslauthd /etc/sysconfig/

cp -p ./arqs-conf-rhel5/usr/bin/cyradm_expresso /usr/bin/

service saslauthd restart
sleep 4

service cyrus-imapd restart

sleep 4
./arqs-conf-rhel5/cyrus.pl $LDAP_PWD

############################################################################################

# POSTFIX
sed -e "s/LDAP_DN/$LDAP_DN/g" -e "s/DOMAIN/$DOMAIN/g" ./arqs-conf-rhel5/etc/postfix/main.cf > /etc/postfix/main.cf
sed -e "s/DOMAIN/$DOMAIN/g" ./arqs-conf-rhel5/etc/postfix/expresso-dominios > /etc/postfix/expresso-dominios

#cp ./arqs-conf-rhel5/etc/postfix/master.cf /etc/postfix/

service postfix restart

postmap /etc/postfix/expresso-dominios
############################################################################################

mkdir /home/expressolivre || { echo "Diretório já existe. [OK]"; }
cp ./arqs-conf-rhel5/home/expressolivre/* /home/expressolivre/

chown -R apache.apache /home/expressolivre/
############################################################################################
# HEADER_INC_PHP
sed -e "s/HEADER_PWD/$HEADER_PWD/g" ./arqs-conf-rhel5/header.inc.php > /var/www/expresso/header.inc.php

chown apache.apache -R /var/www/expresso

############################################################################################

dialog --backtitle "$BACKTITLE" --cr-wrap --msgbox "FIM. www.expressolivre.org" 7 55 &&

dialog                                          \
   --title 'Aviso Importante!!!'             		\
   --textbox arqs-conf-rhel5/rpms/listalang.txt \
   0 0

echo '.'
